io.vertx.ext.auth

## Class JWTOptions

- java.lang.Object
- - io.vertx.ext.auth.JWTOptions

-     public class JWTOptions
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JWTOptions()`
    `JWTOptions(JsonObject json)`
    `JWTOptions(JWTOptions other)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `JWTOptions` | `addAudience(String audience)`
    `JWTOptions` | `addPermission(String permission)` Add a permission to this token.
    `JWTOptions` | `addScope(String scope)` Deprecated. use the authorization api `AuthorizationProvider`
    `String` | `getAlgorithm()`
    `List<String>` | `getAudience()`
    `int` | `getExpiresInSeconds()`
    `JsonObject` | `getHeader()`
    `String` | `getIssuer()`
    `int` | `getLeeway()`
    `String` | `getNonceAlgorithm()`
    `List<String>` | `getPermissions()`
    `String` | `getScopeDelimiter()` Deprecated. use the authorization api `AuthorizationProvider`
    `List<String>` | `getScopes()` Deprecated. use the authorization api `AuthorizationProvider`
    `String` | `getSubject()`
    `boolean` | `hasScopeDelimiter()` Deprecated. use the authorization api `AuthorizationProvider`
    `boolean` | `isIgnoreExpiration()`
    `boolean` | `isNoTimestamp()`
    `JWTOptions` | `setAlgorithm(String algorithm)`
    `JWTOptions` | `setAudience(List<String> audience)`
    `JWTOptions` | `setExpiresInMinutes(int expiresInMinutes)`
    `JWTOptions` | `setExpiresInSeconds(int expiresInSeconds)`
    `JWTOptions` | `setHeader(JsonObject header)`
    `JWTOptions` | `setIgnoreExpiration(boolean ignoreExpiration)`
    `JWTOptions` | `setIssuer(String issuer)`
    `JWTOptions` | `setLeeway(int leeway)`
    `JWTOptions` | `setNonceAlgorithm(String nonceAlgorithm)`
    `JWTOptions` | `setNoTimestamp(boolean noTimestamp)`
    `JWTOptions` | `setPermissions(List<String> permissions)` The permissions of this token.
    `JWTOptions` | `setScopes(List<String> scopes)` Deprecated. use the authorization api `AuthorizationProvider`
    `JWTOptions` | `setSubject(String subject)`
    `JsonObject` | `toJson()`
    `JWTOptions` | `withScopeDelimiter(String scopeDelimiter)` Deprecated. use the authorization api `AuthorizationProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JWTOptions

          public JWTOptions()

    - #### JWTOptions

          public JWTOptions(JWTOptions other)

    - #### JWTOptions

          public JWTOptions(JsonObject json)

  - ### Method Detail

    - #### toJson

          public JsonObject toJson()

    - #### getLeeway

          public int getLeeway()

    - #### setLeeway

          public JWTOptions setLeeway(int leeway)

    - #### isIgnoreExpiration

          public boolean isIgnoreExpiration()

    - #### setIgnoreExpiration

          public JWTOptions setIgnoreExpiration(boolean ignoreExpiration)

    - #### getAlgorithm

          public String getAlgorithm()

    - #### setAlgorithm

          public JWTOptions setAlgorithm(String algorithm)

    - #### getHeader

          public JsonObject getHeader()

    - #### setHeader

          public JWTOptions setHeader(JsonObject header)

    - #### isNoTimestamp

          public boolean isNoTimestamp()

    - #### setNoTimestamp

          public JWTOptions setNoTimestamp(boolean noTimestamp)

    - #### getExpiresInSeconds

          public int getExpiresInSeconds()

    - #### setExpiresInSeconds

          public JWTOptions setExpiresInSeconds(int expiresInSeconds)

    - #### setExpiresInMinutes

          public JWTOptions setExpiresInMinutes(int expiresInMinutes)

    - #### getAudience

          public List<String> getAudience()

    - #### setAudience

          public JWTOptions setAudience(List<String> audience)

    - #### addAudience

          public JWTOptions addAudience(String audience)

    - #### getIssuer

          public String getIssuer()

    - #### setIssuer

          public JWTOptions setIssuer(String issuer)

    - #### getSubject

          public String getSubject()

    - #### setSubject

          public JWTOptions setSubject(String subject)

    - #### setPermissions

          public JWTOptions setPermissions(List<String> permissions)

      The permissions of this token.
      Parameters:
        `permissions` - the permissions for this token that will be used for AuthZ
      Returns:
        fluent API

    - #### addPermission

          public JWTOptions addPermission(String permission)

      Add a permission to this token.
      Parameters:
        `permission` - permission for this token that will be used for AuthZ
      Returns:
        fluent API

    - #### getPermissions

          public List<String> getPermissions()

    - #### setScopes

          @Deprecated
          public JWTOptions setScopes(List<String> scopes)

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### addScope

          @Deprecated
          public JWTOptions addScope(String scope)

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### getScopes

          @Deprecated
          public List<String> getScopes()

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### getScopeDelimiter

          @Deprecated
          public String getScopeDelimiter()

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### withScopeDelimiter

          @Deprecated
          public JWTOptions withScopeDelimiter(String scopeDelimiter)

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### hasScopeDelimiter

          @Deprecated
          public boolean hasScopeDelimiter()

      Deprecated. use the authorization api `AuthorizationProvider`

    - #### getNonceAlgorithm

          public String getNonceAlgorithm()

    - #### setNonceAlgorithm

          public JWTOptions setNonceAlgorithm(String nonceAlgorithm)

Copyright © 2021 Eclipse. All rights reserved.